# FoundationClasses
TKMath
Bnd

# Bnd_B2f Class Reference

`#include <Bnd_B2f.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| Bnd_B2f ()
| Bnd_B2f (const gp_XY &theCenter, const gp_XY &theHSize)
Standard_Boolean | IsVoid () const
void | Clear ()
Standard_EXPORT void | Add (const gp_XY &thePnt)
Standard_EXPORT void | Add (const gp_Pnt2d &thePnt)
void | Add (const Bnd_B2f &theBox)
gp_XY | CornerMin () const
gp_XY | CornerMax () const
Standard_Real | SquareExtent () const
void | Enlarge (const Standard_Real theDiff)
Standard_EXPORT Standard_Boolean | Limit (const Bnd_B2f &theOtherBox)
Standard_EXPORT Bnd_B2f | Transformed (const gp_Trsf2d &theTrsf) const
Standard_Boolean | IsOut (const gp_XY &thePnt) const
Standard_EXPORT Standard_Boolean | IsOut (const gp_XY &theCenter, const Standard_Real theRadius, const Standard_Boolean isCircleHollow=Standard_False) const
Standard_Boolean | IsOut (const Bnd_B2f &theOtherBox) const
Standard_EXPORT Standard_Boolean | IsOut (const Bnd_B2f &theOtherBox, const gp_Trsf2d &theTrsf) const
Standard_EXPORT Standard_Boolean | IsOut (const gp_Ax2d &theLine) const
Standard_EXPORT Standard_Boolean | IsOut (const gp_XY &theP0, const gp_XY &theP1) const
Standard_Boolean | IsIn (const Bnd_B2f &theBox) const
Standard_EXPORT Standard_Boolean | IsIn (const Bnd_B2f &theBox, const gp_Trsf2d &theTrsf) const
void | SetCenter (const gp_XY &theCenter)
void | SetHSize (const gp_XY &theHSize)

## Protected Attributes

Standard_ShortReal | myCenter [2]
Standard_ShortReal | myHSize [2]

## Constructor & Destructor Documentation

Bnd_B2f::Bnd_B2f | ( |  | ) |

Bnd_B2f::Bnd_B2f | ( | const gp_XY & | theCenter,
|  | const gp_XY & | theHSize
| ) |

## Member Function Documentation

void Bnd_B2f::Add | ( | const Bnd_B2f & | theBox | ) |

Standard_EXPORT void Bnd_B2f::Add | ( | const gp_Pnt2d & | thePnt | ) |

Standard_EXPORT void Bnd_B2f::Add | ( | const gp_XY & | thePnt | ) |

void Bnd_B2f::Clear | ( |  | ) |

gp_XY Bnd_B2f::CornerMax | ( |  | ) | const

gp_XY Bnd_B2f::CornerMin | ( |  | ) | const

void Bnd_B2f::Enlarge | ( | const Standard_Real | theDiff | ) |

Standard_EXPORT Standard_Boolean Bnd_B2f::IsIn | ( | const Bnd_B2f & | theBox,
|  | const gp_Trsf2d & | theTrsf
| ) | const

Standard_Boolean Bnd_B2f::IsIn | ( | const Bnd_B2f & | theBox | ) | const

Standard_EXPORT Standard_Boolean Bnd_B2f::IsOut | ( | const gp_XY & | theP0,
|  | const gp_XY & | theP1
| ) | const

Standard_EXPORT Standard_Boolean Bnd_B2f::IsOut | ( | const gp_Ax2d & | theLine | ) | const

Standard_EXPORT Standard_Boolean Bnd_B2f::IsOut | ( | const Bnd_B2f & | theOtherBox,
|  | const gp_Trsf2d & | theTrsf
| ) | const

Standard_Boolean Bnd_B2f::IsOut | ( | const Bnd_B2f & | theOtherBox | ) | const

Standard_EXPORT Standard_Boolean Bnd_B2f::IsOut | ( | const gp_XY & | theCenter,
|  | const Standard_Real | theRadius,
|  | const Standard_Boolean | isCircleHollow = `Standard_False`
| ) | const

Standard_Boolean Bnd_B2f::IsOut | ( | const gp_XY & | thePnt | ) | const

Standard_Boolean Bnd_B2f::IsVoid | ( |  | ) | const

Standard_EXPORT Standard_Boolean Bnd_B2f::Limit | ( | const Bnd_B2f & | theOtherBox | ) |

void Bnd_B2f::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Bnd_B2f::operator new | ( | size_t | size | ) | `[inline]`

void* Bnd_B2f::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Bnd_B2f::SetCenter | ( | const gp_XY & | theCenter | ) |

void Bnd_B2f::SetHSize | ( | const gp_XY & | theHSize | ) |

Standard_Real Bnd_B2f::SquareExtent | ( |  | ) | const

Standard_EXPORT Bnd_B2f Bnd_B2f::Transformed | ( | const gp_Trsf2d & | theTrsf | ) | const

## Field Documentation

Standard_ShortReal Bnd_B2f::myCenter[2]`[protected]`

Standard_ShortReal Bnd_B2f::myHSize[2]`[protected]`

The documentation for this class was generated from the following file:

- Bnd_B2f.hxx